#
# spec file for package perl-Hash-MultiValue
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-Hash-MultiValue
Version:        0.16
Release:        1.31
%define cpan_name Hash-MultiValue
Summary:        Store multiple values per key
License:        Artistic-1.0 or GPL-1.0+
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/Hash-MultiValue/
Source:         http://www.cpan.org/authors/id/A/AR/ARISTOTLE/%{cpan_name}-%{version}.tar.gz
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
%{perl_requires}

%description
Hash::MultiValue is an object (and a plain hash reference) that may contain
multiple values per key, inspired by MultiDict of WebOb.

%prep
%setup -q -n %{cpan_name}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes LICENSE README

%changelog
* Tue Apr 14 2015 coolo@suse.com
- updated to 0.16
  see /usr/share/doc/packages/perl-Hash-MultiValue/Changes
  0.16  2015-02-17 08:39:35 CET
  - a few microöptimisations
* Wed Jun  5 2013 coolo@suse.com
- updated to 0.15
  - use MakeMaker
  - Use milla
  - repackage with Module::Install > 1.04
- remove no longer applying test-more-no-plan.patch
* Thu Feb 16 2012 coolo@suse.com
- updated to 0.12
  - Reapply set method optimisation that was lost in 0.11
  - *really* fix uninitialized warnings in tests (RT#74096)
  - Add support for Storable serialization
  - Fix segfaulting splice invocation on perls
* Fri Nov 18 2011 coolo@suse.com
- update to 0.10
  - Implemented set (aristotle)
  - Implemented thread safety (chansen)
* Tue Nov 30 2010 coolo@novell.com
- switch to perl_requires macro
* Wed Sep 22 2010 dbahi@novell.com
- remove done_testing; add qw(no_plan) for some tests
* Tue Sep 21 2010 dbahi@novell.com
- initial package 0.08
  * created by cpanspec 1.78
